package com.nisum.example.mongodb.model;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Scope(scopeName = "request", proxyMode = ScopedProxyMode.TARGET_CLASS)
@Document
@Data
@NoArgsConstructor
@RequiredArgsConstructor
public class Employee {
    @Id
    private int id;

    @NonNull
   private String name;
    @NonNull
    private long salary;


}
